package com.jsowell.pile.service;

import com.jsowell.pile.domain.MemberWalletInfo;
import com.jsowell.pile.vo.base.MemberWalletVO;

import java.util.List;

public interface MemberWalletInfoService {
	int deleteByPrimaryKey(Integer id);

	int insert(MemberWalletInfo record);

	int insertSelective(MemberWalletInfo record);

	MemberWalletInfo selectByPrimaryKey(Integer id);

	MemberWalletInfo selectByMemberId(String memberId, String merchantId);

    MemberWalletInfo selectByWalletCode(String walletCode);

    int updateByPrimaryKeySelective(MemberWalletInfo record);

	int updateByPrimaryKey(MemberWalletInfo record);

	List<MemberWalletVO> selectByMemberWalletList(String memberId);

	MemberWalletVO selectMemberWalletInfo(String walletCode);
}
